#!/bin/bash

# Удалить браузер rpm и dnf
# sudo dnf remove -y yandex-browser-stable
# sudo dnf remove -y yandex-browser-corporate
# sudo dnf remove -y yandex-browser
# sudo dnf remove -y get-yandex-browser
# Удалить остатки браузера и настройки
# rm -rf ~/.cache/yandex-browser
# rm -rf ~/.yandex
# rm -rf ~/.config/yandex-browser
# Для установки браузера
# sudo dnf install -y get-yandex-browser
# Удаляет файл conf
sudo rm /etc/yandex-browser*
# Создаёт файл conf для версии stable или corporate	
sudo touch /etc/yandex-browser-stable.conf
# sudo touch /etc/yandex-browser-rosa.conf	
# Для сравнения с corporate, замените слово stable на corporate в строке №29 | grep yandex-browser-corporate | head -n1)    	

if [ "$1" == "--help" ]
then
    echo 'Сценарий для проверки последней доступной версии Яндекс браузера.'
    echo 'Для работы используется lynx и get-yandex-browser.'
    echo 'Использование: yandex-browser-update'
    echo 'Справка: yandex-browser-update --help'
else
    lastver=$(lynx -dump "https://repo.yandex.ru/yandex-browser/rpm/stable/x86_64/" \
    	| grep yandex-browser-stable | head -n1)
    lastver=${lastver#*-*-*-}
    lastver=${lastver%-*}
    echo Доступен Яндекс браузер $lastver
    installedver=$(yandex-browser-stable --version | grep -i yandex | awk '{print $2}')
    echo Установлен Яндекс браузер $installedver
# Удаляем точки из версии браузера
lastver=${lastver//./}
installedver=${installedver//./}
# Сравниваем версии и обновляем браузер переустановкой пакета get-yandex-browser,
# если последняя > установленная
    if [ "$lastver" -gt "$installedver" ]
    then
	echo Требуется обновление.
	sudo dnf reinstall -y get-yandex-browser
    else
	echo Обновление не требуется.
    fi
fi
